import { IDBPDatabase, IDBPTransaction } from "idb";
export default class IDB {
    private stores;
    initLock: any;
    db: IDBPDatabase;
    constructor(database: string, stores: string[], upgrade_fkt?: (tx: IDBPTransaction<unknown, string[]>) => Promise<void> | void);
    transaction(...stores: string[] | {
        name: string;
    }[]): Promise<any>;
    getStore<T = any>(name: string): {
        name: string;
        transaction: () => Promise<IDBPTransaction<unknown, string[]>>;
        get: (key: string, transaction?: IDBPTransaction<unknown, string[]>) => Promise<T>;
        getAll: (transaction?: IDBPTransaction<unknown, string[]>) => Promise<T[]>;
        set: (key: string, val: T, transaction?: IDBPTransaction<unknown, string[]>) => Promise<any>;
        delete: (key: string, transaction?: IDBPTransaction<unknown, string[]>) => Promise<any>;
        clear: (transaction?: IDBPTransaction<unknown, string[]>) => Promise<any>;
        keys: (transaction?: IDBPTransaction<unknown, string[]>) => Promise<string[]>;
    };
}
